Name: lti
Version: 1.9.15
Release: alt1.M50.1
Summary: Library for image processing and computer vision
License: LGPL
Group: Development/C++
Url: http://ltilib.sourceforge.net/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildPreReq: gcc-c++ libatlas-devel liblapack-devel libX11-devel
BuildPreReq: valgrind-devel gcc-fortran libgfortran-devel libjpeg-devel
BuildPreReq: libpng-devel libICE-devel libXt-devel
BuildPreReq: xorg-xextproto-devel
Requires: lib%name-devel = %version-%release

Source: http://freefr.dl.sourceforge.net/sourceforge/ltilib/051124_ltilib-1.9.15.tar.bz2
Source1: http://heanet.dl.sourceforge.net/sourceforge/ltilib/051124_ltilib-extras-1.9.15.tar.bz2
Source2: http://puzzle.dl.sourceforge.net/sourceforge/ltilib/051124_DevelopersGuide.pdf
Patch: ltilib-1.9.15-alt-buildroot_gcc4.3.patch

%description
The LTI-Lib is an object oriented library with algorithms and data structures
frequently used in image processing and computer vision. It has been developed
at the Chair of Technical Computer Science (Lehrstuhl fuer Technische
Informatik) LTI at the Aachen University of Technology, as part of many
research projects in computer vision dealing with robotics, object recognition
and sing language and gesture recognition.

The main goal of the LTI-Lib is to provide an object oriented library in C++,
which simplifies the code sharing and maintenance, but still providing fast
algorithms that can be used in real applications.

%package -n lib%name-devel
Summary: Headers and static library of LTI-lib (release version)
Group: Development/C++
Requires: %name = %version-%release

%description -n lib%name-devel
The LTI-Lib is an object oriented library with algorithms and data structures
frequently used in image processing and computer vision. It has been developed
at the Chair of Technical Computer Science (Lehrstuhl fuer Technische
Informatik) LTI at the Aachen University of Technology, as part of many
research projects in computer vision dealing with robotics, object recognition
and sing language and gesture recognition.

The main goal of the LTI-Lib is to provide an object oriented library in C++,
which simplifies the code sharing and maintenance, but still providing fast
algorithms that can be used in real applications.

This package contains a static library of LTI-lib (release version).

%package -n lib%name-debug-devel
Summary: Static library of LTI-lib (debug version)
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-debug-devel
The LTI-Lib is an object oriented library with algorithms and data structures
frequently used in image processing and computer vision. It has been developed
at the Chair of Technical Computer Science (Lehrstuhl fuer Technische
Informatik) LTI at the Aachen University of Technology, as part of many
research projects in computer vision dealing with robotics, object recognition
and sing language and gesture recognition.

The main goal of the LTI-Lib is to provide an object oriented library in C++,
which simplifies the code sharing and maintenance, but still providing fast
algorithms that can be used in real applications.

This package contains a static library of LTI-lib (debug version).

%package -n lib%name-devel-doc
Summary: Development documentation for LTI-lib
Group: Development/Documentation
BuildArch: noarch

%description -n lib%name-devel-doc
Development documentation for LTI-lib.

%prep
%setup -c %SOURCE0
tar -xjf %SOURCE1
%patch -p0
install -p -m644 %SOURCE2 ./
mv 051124_DevelopersGuide.pdf DevelopersGuide.pdf

%build
pushd linux
sed -i '5s|(DESTDIR)|%buildroot|' configure.in
%autoreconf
%make_build -f Makefile.cvs
%configure --with-x --without-gtk --disable-gtk
%make_build all-release
popd

%install
pushd linux
%make_install install
popd

%files
%doc README LICENSE
%_bindir/*

%files -n lib%name-devel
%_libdir/%{name}lib-%version
%_includedir/*
%_libdir/%{name}lib
%exclude %_libdir/%{name}lib-%version/*d.a

%files -n lib%name-debug-devel
%_libdir/%{name}lib-%version/*d.a

%files -n lib%name-devel-doc
%doc DevelopersGuide.pdf

%changelog
* Thu May 14 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.9.15-alt1.M50.1
- Port for Branch 5.0

* Thu May 14 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.9.15-alt2
- Rebuild with gcc 4.4

* Thu Mar 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.9.15-alt1
- Initial build for Sisyphus

